package logger

type SignozConfiguration struct {
	HttpEndPoint string // Example: http://signoz:2255
	ServiceName  string // Name server
}

type SignozLogPayload struct {
	SeverityLevel int         `json:"severity_level"`
	Message       string      `json:"message"`
	Data          interface{} `json:"data"`
}

// PRIVATE
type logData struct {
	SeverityNumber int    `json:"severity_number"`
	SeverityText   string `json:"severity_text"`
	Timestamp      int64  `json:"timestamp"`
	TraceID        string `json:"trace_id"`
	SpanID         string `json:"span_id"`
	Message        string `json:"message"`
	Source         string `json:"source"`
}
