package logger

import (
	"encoding/json"
	"go.uber.org/zap"
)

// Fatal ...
func Fatal(content string, data interface{}) {
	jsonData, _ := json.Marshal(data)
	zapLogger.Fatal(content, zap.String("data", string(jsonData)))
}
